GET
/consents/{id}Retrieve
Recovers the consent resource by it's id
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Responses
200Retrieve a consent.
object
Item consent information
idrequiredstring
Consent primary identifier
itemIdrequiredstring
Primary identifier of the item associated to the consent
productsrequiredstring[]
Products to be collected in the connection
itemsstring
ACCOUNTSCREDIT_CARDSTRANSACTIONSPAYMENT_DATAINVESTMENTSINVESTMENTS_TRANSACTIONSIDENTITYBROKERAGE_NOTEMOVE_SECURITYLOANS
openFinancePermissionsGrantedstring[]
Products consented by the user to be collected
itemsstring
REGISTRATION_ALLREGISTRATION_IDENTIFICATIONSREGISTRATION_QUALIFICATIONSREGISTRATION_FINANCIAL_RELATIONSACCOUNTS_ALLACCOUNTS_LISTACCOUNTS_BALANCESACCOUNTS_LIMITSACCOUNTS_TRANSACTIONSCREDIT_CARDS_ALLCREDIT_CARDS_LISTCREDIT_CARDS_LIMITSCREDIT_CARDS_TRANSACTIONSCREDIT_CARDS_BILLSCREDIT_OPERATIONS_ALLINVESTMENTS_ALLEXCHANGES_ALL
createdAtrequiredstring (date-time)
Date when the consent was given
expiresAtstring (date-time)
Date when the consent expires. Null if the consent doesn't expire
revokedAtstring (date-time)
Date when the consent was revoked
Example response
json
{
"id": "string",
"itemId": "string",
"products": [
"ACCOUNTS"
],
"openFinancePermissionsGranted": [
"REGISTRATION_ALL"
],
"createdAt": "2024-01-01T00:00:00Z",
"expiresAt": "2024-01-01T00:00:00Z",
"revokedAt": "2024-01-01T00:00:00Z"
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/consents/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Path Parameters
